Skip to content

Vulnerability summary for an environment

GET
/api/v1/vulnerabilities/{env}/summary
curl --request GET \
--url https://example.com/api/v1/vulnerabilities/example/summary \
--header 'Authorization: <Authorization>'
env
required
string

Environment name or UUID

OK

Media typeapplication/json
object
affected_nodes
integer
by_severity
object
key
additional properties
object
key
additional properties
integer format: int64
kev
integer
loaded
boolean
not_assessed
integer
possible

Possible counts open possible (NVD CPE) findings. KEV, AffectedNodes and the top lists count confirmed findings only.

integer
stale
boolean
top_advisories
Array<object>
object
name
string
total
integer
top_packages
Array<object>
object
name
string
total
integer
Examplegenerated
{
"affected_nodes": 1,
"by_severity": {
"additionalProperty": {
"additionalProperty": 1
}
},
"kev": 1,
"loaded": true,
"not_assessed": 1,
"possible": 1,
"stale": true,
"top_advisories": [
{
"name": "example",
"total": 1
}
],
"top_packages": [
{
"name": "example",
"total": 1
}
]
}

Forbidden

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}

Service Unavailable

Media typeapplication/json
object
code
string
error
string
Examplegenerated
{
"code": "example",
"error": "example"
}